Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::DoubleDocValues Class Reference

`#include <DoubleFieldSource.h>`

Inheritance diagram for Lucene::DoubleDocValues:

## Public Member Functions

| DoubleDocValues (const DoubleFieldSourcePtr &source, Collection< double > arr)
virtual | ~DoubleDocValues ()
virtual String | getClassName ()
boost::shared_ptr< DoubleDocValues > | shared_from_this ()
virtual double | doubleVal (int32_t doc)
| Return doc value as a double. Mandatory: every DocValues implementation must implement at least this method. More...
virtual String | toString (int32_t doc)
| Return a string representation of a doc value, as required for Explanations. More...
virtual CollectionValue | getInnerArray ()
| For test purposes only, return the inner array of values, or null if not applicable. More...
Public Member Functions inherited from Lucene::DocValues
| DocValues ()
virtual | ~DocValues ()
boost::shared_ptr< DocValues > | shared_from_this ()
virtual int32_t | intVal (int32_t doc)
| Return doc value as an int. Optional: DocValues implementation can (but don't have to) override this method. More...
virtual int64_t | longVal (int32_t doc)
| Return doc value as a long. Optional: DocValues implementation can (but don't have to) override this method. More...
virtual String | strVal (int32_t doc)
| Return doc value as a string. Optional: DocValues implementation can (but don't have to) override this method. More...
virtual ExplanationPtr | explain (int32_t doc)
| Explain the scoring value for the input doc. More...
virtual double | getMinValue ()
| Returns the minimum of all values or NaN if this DocValues instance does not contain any value. This operation is optional. More...
virtual double | getMaxValue ()
| Returns the maximum of all values or NaN if this DocValues instance does not contain any value. This operation is optional. More...
virtual double | getAverageValue ()
| Returns the average of all values or NaN if this DocValues instance does not contain any value. This operation is optional. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocValues
static String | _getClassName ()

## Protected Attributes

DoubleFieldSourceWeakPtr | _source
Collection< double > | arr
Protected Attributes inherited from Lucene::DocValues
double | minVal
double | maxVal
double | avgVal
bool | computed
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::DocValues
void | compute ()
| Compute optional values. More...
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ DoubleDocValues()

Lucene::DoubleDocValues::DoubleDocValues | ( | const DoubleFieldSourcePtr & | source,
|  | Collection< double > | arr
| ) |  |

## ◆ ~DoubleDocValues()

virtual Lucene::DoubleDocValues::~DoubleDocValues | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DoubleDocValues::_getClassName | ( |  | ) |

inline static

## ◆ doubleVal()

virtual double Lucene::DoubleDocValues::doubleVal | ( | int32_t | doc | ) |

virtual

Return doc value as a double. Mandatory: every DocValues implementation must implement at least this method.

Parameters

  doc | document whose double value is requested.

Implements Lucene::DocValues.

## ◆ getClassName()

virtual String Lucene::DoubleDocValues::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocValues.

## ◆ getInnerArray()

virtual CollectionValue Lucene::DoubleDocValues::getInnerArray | ( |  | ) |

virtual

For test purposes only, return the inner array of values, or null if not applicable.

Allows tests to verify that loaded values are:

1. indeed cached/reused.
2. stored in the expected size/type (byte/short/int/float).

Note: implementations of DocValues must override this method for these test elements to be tested, Otherwise the test would not fail, just print a warning.

Reimplemented from Lucene::DocValues.

## ◆ shared_from_this()

boost::shared_ptr< DoubleDocValues > Lucene::DoubleDocValues::shared_from_this | ( |  | ) |

inline

## ◆ toString()

virtual String Lucene::DoubleDocValues::toString | ( | int32_t | doc | ) |

virtual

Return a string representation of a doc value, as required for Explanations.

Implements Lucene::DocValues.

## Field Documentation

## ◆ _source

DoubleFieldSourceWeakPtr Lucene::DoubleDocValues::_source

protected

## ◆ arr

Collection<double> Lucene::DoubleDocValues::arr

protected

The documentation for this class was generated from the following file:

- DoubleFieldSource.h

clucene.sourceforge.net